public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Markus Meier" <maekke@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] dev/maekke:master commit in: scripts/
Date: Sat,  9 Apr 2011 12:38:41 +0000 (UTC)	[thread overview]
Message-ID: <cda67f47e3460d13d30e8850f25fd9c3ee9d3777.maekke@gentoo> (raw)

commit:     cda67f47e3460d13d30e8850f25fd9c3ee9d3777
Author:     Markus Meier <maekke <AT> gentoo <DOT> org>
AuthorDate: Sat Apr  9 12:40:20 2011 +0000
Commit:     Markus Meier <maekke <AT> gentoo <DOT> org>
CommitDate: Sat Apr  9 12:40:20 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=dev/maekke.git;a=commit;h=cda67f47

be compatible with pybugz 0.9

---
 scripts/keyword.sh |   12 +++++++-----
 1 files changed, 7 insertions(+), 5 deletions(-)

diff --git a/scripts/keyword.sh b/scripts/keyword.sh
index 016cdba..8f34f83 100755
--- a/scripts/keyword.sh
+++ b/scripts/keyword.sh
@@ -4,6 +4,7 @@
 REPODIR="${HOME}/cvs/gentoo-x86"
 BUGZ_USER="maekke@gentoo.org"
 BUGZ="bugz"
+BUGZ_DEFAULT_OPTS="--base https://bugs.gentoo.org --user ${BUGZ_USER}"
 
 die() {
 	echo $@
@@ -104,7 +105,7 @@ fi
 [[ ${bugid} == 0 ]] && echo "done, as bug# is 0" && exit 0
 
 tmpfile="$(mktemp)"
-${BUGZ} get --base=https://bugs.gentoo.org ${bugid} > ${tmpfile}
+${BUGZ} ${BUGZ_DEFAULT_OPTS} get ${bugid} > ${tmpfile}
 aliases="$(grep ^CC ${tmpfile} | awk '{ print $3 }')"
 assignee="$(grep ^Assignee ${tmpfile} | awk '{ print $3 }')"
 rm ${tmpfile}
@@ -128,9 +129,9 @@ for bugarch in ${bugarches} ; do
 	[[ ${found} == 0 ]] && lastarch="0"
 done
 
-bugz_options="--base="https://bugs.gentoo.org" --user=${BUGZ_USER}"
+bugz_options=""
 for arch in ${arches} ; do
-	bugz_options="${bugz_options} --remove-cc=${arch}@gentoo.org"
+	bugz_options="${bugz_options} --remove-cc ${arch}@gentoo.org"
 done
 
 if [[ ${lastarch} == "1" ]] ; then
@@ -140,6 +141,7 @@ else
 	[[ -z ${bugz_message} ]] && bugz_message="${arches// //} stable"
 fi
 
-echo "running ${BUGZ} modify ${bugid} ${bugz_options} --comment=\"${bugz_message}\""
-${BUGZ} modify ${bugid} ${bugz_options} --comment="${bugz_message}" || die "bugz failed"
+echo "not running ${BUGZ} atm..."
+echo "running ${BUGZ} ${BUGZ_DEFAULT_OPTS} modify ${bugid} ${bugz_options} --comment \"${bugz_message}\""
+${BUGZ} ${BUGZ_DEFAULT_OPTS} modify ${bugid} ${bugz_options} --comment "${bugz_message}" || die "bugz failed"
 echo ">>> finished successfully"



             reply	other threads:[~2011-04-09 12:38 UTC|newest]

Thread overview: 27+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2011-04-09 12:38 Markus Meier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2011-04-10 20:45 [gentoo-commits] dev/maekke:master commit in: scripts/ Markus Meier
2011-04-10 21:12 Markus Meier
2011-10-08 12:10 Markus Meier
2011-10-08 23:06 Markus Meier
2011-10-08 23:24 Markus Meier
2011-10-08 23:31 Markus Meier
2011-10-08 23:57 Markus Meier
2011-10-15 12:38 Markus Meier
2012-05-26 10:05 Markus Meier
2013-05-09 13:29 Markus Meier
2013-05-14 18:22 Markus Meier
2013-07-29 22:11 Markus Meier
2013-10-01 19:03 Markus Meier
2013-10-05 19:30 Markus Meier
2014-06-01 16:13 Markus Meier
2014-06-01 16:13 Markus Meier
2014-06-01 16:13 Markus Meier
2014-06-19 18:46 Markus Meier
2014-07-17 18:06 Markus Meier
2014-10-04 10:37 Markus Meier
2015-01-21 16:34 Markus Meier
2015-08-18 20:20 Markus Meier
2015-08-18 20:20 Markus Meier
2015-08-19 17:09 Markus Meier
2015-08-21 16:44 Markus Meier
2015-10-03  8:59 Markus Meier

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=cda67f47e3460d13d30e8850f25fd9c3ee9d3777.maekke@gentoo \
    --to=maekke@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox